Page MenuHomePhabricator

BiDi issue in RTL wikis at site notice with LTR text ending with Unicode characters with neutral directional
Closed, ResolvedPublic

Description

Author: gangleri

Description:
Semmyry is to long:
BiDi issue in RTL wikis at site notice with LTR text ending with Unicode characters with neutral directionalty

Dear friends;

Please note that a LTR text at any site notice ending with a Unicode characters with neutral directional will not be displayed properly.

If this relates to an extension the extension should be fixed.
If random texts are shown eaxh text needs a field about the directionality of the text.
values are:
a) properly BiDi embeded
b) LTR
c) RTL
d) unknown

see also http://test.wikipedia.org/w/index.php?curid=35943&action=edit

Best regards Reinhardt [[user:Gangleri]]


Version: unspecified
Severity: normal
URL: http://yi.wikipedia.org/w/index.php?curid=611&uselang=yi

Details

Reference
bz21778

Related Objects

StatusAssignedTask
ResolvedAmire80
ResolvedNone
Resolvedtstarling
Resolvedtstarling
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedtstarling
ResolvedReedy
InvalidNone
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedNone
Resolvedaaron
DeclinedNone
ResolvedNone
InvalidNone
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
ResolvedNone
InvalidNone
InvalidNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
InvalidNone
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedhashar
ResolvedNone
ResolvedNone
Resolvedaaron
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:48 PM
bzimport set Reference to bz21778.
bzimport created this task.Dec 7 2009, 2:19 AM

Is this a better URL: http://yi.wikipedia.org/w/index.php?banner=2009_Notice22

Perhaps a screenshot would be most useful. Since I'm not incredibly familiar with RTL display, can you describe exactly what is incorrect in the banner? Thanks!

Amir, can you assess if this is fixed after 1.18 has been deployed on Wikimedia?

Qgil added a subscriber: Qgil.Feb 14 2015, 3:50 PM

@Amire80, this is one of the oldest tasks assigned to someone. Are you planning to work on it, and is its current priority correct?

T47941 might be related (or might have been - not sure if either bug still occurs).

Ebraminio moved this task from Backlog to Other on the RTL board.Aug 9 2015, 2:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2015, 2:35 PM
Amire80 closed this task as Resolved.Aug 30 2015, 7:26 AM

Closing as resolved. It may have been a problem long ago, but currently the sitenotice has the lang and dir attributes of the wiki's content language, and that's how it should be. If the message itself is not appropriately translated, then it should be translated, and if for some reason it has to be in a different language, then it should use appropriate HTML.

There's a somewhat similar, but separate issue in MediaWiki-extensions-CentralNotice, and it is not resolved yet - T47941.

Amire80 moved this task from Other to MediaWiki-core on the RTL board.Aug 30 2015, 7:27 AM
Meno25 removed a subscriber: Meno25.Sep 20 2015, 3:27 PM